Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record.common
Class UnicodeString.ExtRst

    java.lang.Object
      org.apache.poi.hssf.record.common.UnicodeString.ExtRst

All Implemented Interfaces:
  java.lang.Comparable<UnicodeString.ExtRst>

Enclosing class:
  UnicodeString

    public static class UnicodeString.ExtRst

extends java.lang.Object
implements java.lang.Comparable<UnicodeString.ExtRst>

Constructor Summary
`protected` | `UnicodeString.ExtRst()`
`protected` | `UnicodeString.ExtRst(LittleEndianInput in, int expectedLength)`

Method Summary
`protected UnicodeString.ExtRst` | `clone()`
`int` | `compareTo(UnicodeString.ExtRst o)`
`boolean` | `equals(java.lang.Object obj)`
`protected int` | `getDataSize()` Returns our size, excluding our 4 byte header
`short` | `getFormattingFontIndex()`
`short` | `getFormattingOptions()`
`int` | `getNumberOfRuns()`
`java.lang.String` | `getPhoneticText()`
`UnicodeString.PhRun[]` | `getPhRuns()`
`protected void` | `serialize(ContinuableRecordOutput out)`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnicodeString.ExtRst

    protected UnicodeString.ExtRst()

### UnicodeString.ExtRst

    protected UnicodeString.ExtRst(LittleEndianInput in,
                                   int expectedLength)

Method Detail

### getDataSize

    protected int getDataSize()

  Returns our size, excluding our 4 byte header

### serialize

    protected void serialize(ContinuableRecordOutput out)

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### compareTo

    public int compareTo(UnicodeString.ExtRst o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<UnicodeString.ExtRst>`

### clone

    protected UnicodeString.ExtRst clone()

  Overrides:
    `clone` in class `java.lang.Object`

### getFormattingFontIndex

    public short getFormattingFontIndex()

### getFormattingOptions

    public short getFormattingOptions()

### getNumberOfRuns

    public int getNumberOfRuns()

### getPhoneticText

    public java.lang.String getPhoneticText()

### getPhRuns

    public UnicodeString.PhRun[] getPhRuns()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.